## telepathy-qt4 0.2.0-2maemo5%2b0m5

=== debian/changelog ===
telepathy-qt4 (0.2.0-2maemo5+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.2.0-2maemo5+0m5

 -- Laitinen Vesa-Matti <ext-vesa-matti.laitinen@nokia.com>  Wed, 28 Apr 2010 11:44:04 +0300

=== debian/control ===
Source: telepathy-qt4
Section: libs
Priority: optional
Maintainer: Simon McVittie <simon.mcvittie@collabora.co.uk>
XSBC-Original-Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>
Build-Depends: cdbs,
               debhelper (>= 5),
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev,
               libqt4-dev (>= 4.5.0),
               libtelepathy-farsight-dev (>= 0.0.4),
               libtelepathy-glib-dev (>= 0.7.28),
               pkg-config (>= 0.21),
               python,
               python-dbus,
               python-dev,
               python-gobject,
               python-xml,
               autoconf,
               automake1.9,
               libtool
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-qt4.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-qt4.git
Homepage: http://telepathy.freedesktop.org/wiki/

Package: libtelepathy-qt4-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy framework - Qt 4 library
 This package contains telepathy-qt4, a Qt-based library for Telepathy
 components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-farsight0
Architecture: any
Depends: libtelepathy-qt4-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy/Farsight integration - Qt 4 library
 telepathy-qt4-farsight provides telepathy-qt4 integration with
 telepathy-farsight, which implements media streaming using GStreamer and
 Farsight.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-dev
Architecture: any
Section: libdevel
Depends: libqt4-dev (>= 4.5.0),
         libtelepathy-qt4-0 (= ${binary:Version}),
         libtelepathy-qt4-farsight0 (= ${binary:Version}),
         pkg-config (>= 0.21),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libtelepathy-qt4-doc
Description: Qt 4 Telepathy library (headers and static library)
 This package contains development files for telepathy-qt4, a Qt-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libtelepathy-qt4-0 (= ${binary:Version}),
         libtelepathy-qt4 (= ${Source-Version}),
         ${misc:Depends}
Suggests: libtelepathy-qt4-farsight0 (= ${binary:Version})
Description: Qt 4 Telepathy library (debug symbols)
 This package contains support for debugging programs that use telepathy-qt4,
 a Qt-based library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt4-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 4 Telepathy library (documentation)
 This package contains HTML documentation for telepathy-qt4, a Qt-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

## telepathy-qt4 0.2.0-2maemo7%2b0m5

=== debian/control ===
--- 
+++ 
@@ -73,12 +73,11 @@
  differences between protocols to provide a unified interface for
  applications.
 
-Package: libtelepathy-qt4-dbg
+Package: libtelepathy-qt4-0-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: libtelepathy-qt4-0 (= ${binary:Version}),
-         libtelepathy-qt4 (= ${Source-Version}),
          ${misc:Depends}
 Suggests: libtelepathy-qt4-farsight0 (= ${binary:Version})
 Description: Qt 4 Telepathy library (debug symbols)

=== debian/rules ===
#!/usr/bin/make -f

PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/

DEB_DH_MAKESHLIBS_ARGS_libtelepathy-qt4-0 := -V"libtelepathy-qt4-0 (>= 0.2)"

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# We don't want the .la files, but complain if anything else is missing
binary-post-install/libtelepathy-qt4-dev::
	rm -f debian/tmp/usr/lib/*.la
common-binary-post-install-arch:: list-missing

DEB_DH_STRIP_ARGS := --dbg-package=libtelepathy-qt4-0-dbg

DEB_CONFIGURE_EXTRA_FLAGS := \
	--disable-Werror \
	--docdir=/usr/share/doc/libtelepathy-qt4-doc
#DEB_MAKE_CHECK_TARGET = check

common-build-indep::
	$(DEB_MAKE_INVOKE) doxygen-doc

# symbols file to be added later, if C++ even allows
#export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

include $(CURDIR)/debian/update-patches.mk

# we're going to symlink many of the doc directories together
DEB_INSTALL_DOCS_libtelepathy-qt4-0-dbg := --no-act
DEB_INSTALL_DOCS_libtelepathy-qt4-farsight0 := --no-act
DEB_INSTALL_DOCS_libtelepathy-qt4-dev := --no-act
DEB_INSTALL_CHANGELOGS_libtelepathy-qt4-0-dbg := --no-act
DEB_INSTALL_CHANGELOGS_libtelepathy-qt4-farsight0 := --no-act
DEB_INSTALL_CHANGELOGS_libtelepathy-qt4-dev := --no-act

include $(CURDIR)/debian/maemo-specific-rules.mk

common-binary-predeb-arch::
	./debian/maemo-optify libtelepathy-qt4-0
	./debian/maemo-optify libtelepathy-qt4-farsight0

## telepathy-qt4 0.2.0-2maemo7+0m5

=== debian/changelog ===
telepathy-qt4 (0.2.0-2maemo7+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.2.0-2maemo7+0m5

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:36:20 +0300

telepathy-qt4 (0.2.0-2maemo7) fremantle; urgency=low

  * Symlink to opt library wasn't being created with a clean install.

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:00:57 +0300

telepathy-qt4 (0.2.0-2maemo6) fremantle; urgency=low

  * Optify the packages.

 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 26 Aug 2010 11:44:04 +0300

## telepathy-qt4 0.5.6

=== CMakeLists.txt ===
project(TelepathyQt4)

cmake_minimum_required(VERSION 2.6)

# CMake policies are used for backwards compatibilty. Setting a policy to a behavior lets newer
# CMake versions where some behaviors changed behave in a way or another. In our specific case,
# From CMake's documentation:
#
# In CMake 2.6.2 and below, CMake Policy settings in scripts loaded by
# the include() and find_package() commands would affect the includer.
# Explicit invocations of cmake_policy(PUSH) and cmake_policy(POP) were
# required to isolate policy changes and protect the includer.  While
# some scripts intend to affect the policies of their includer, most do
# not.  In CMake 2.6.3 and above, include() and find_package() by
# default PUSH and POP an entry on the policy stack around an included
# script, but provide a NO_POLICY_SCOPE option to disable it.  This
# policy determines whether or not to imply NO_POLICY_SCOPE for
# compatibility.  The OLD behavior for this policy is to imply
# NO_POLICY_SCOPE for include() and find_package() commands.  The NEW
# behavior for this policy is to allow the commands to do their default
# cmake_policy PUSH and POP.
#
# This policy was introduced in CMake version 2.6.3.  CMake version
# 2.8.2 warns when the policy is not set and uses OLD behavior.  Use the
# cmake_policy command to set it to OLD or NEW explicitly.
#
# Whenever our cmake_minimum_required version bumps up to 2.7 or 2.6.3, this policy setting can
# hence be removed.
if(POLICY CMP0011)
    cmake_policy(SET CMP0011 NEW)
endif(POLICY CMP0011)

# Making releases:
#   set the new version number:
#     odd minor -> development series
#     even minor -> stable series
#     increment micro for each release within a series
#   set nano_version to 0
#   make the release, tag it
#   set nano_version to 1
set(TP_QT4_MAJOR_VERSION 0)
set(TP_QT4_MINOR_VERSION 5)
set(TP_QT4_MICRO_VERSION 6)
set(TP_QT4_NANO_VERSION  0)

# This value contains the library's SOVERSION. This value is to be increased everytime an API/ABI break
# occurs, and will be used for the SOVERSION of the generated shared libraries.
set(TP_QT4_ABI_VERSION 1)
# This variable is used for the library's long version. It is generated dynamically, so don't change its
# value! Change TP_QT4_ABI_VERSION and TP_QT4_*_VERSION instead.
if (${TP_QT4_NANO_VERSION} EQUAL 0)
    set(TP_QT4_LIBRARY_VERSION ${TP_QT4_ABI_VERSION}.${TP_QT4_MAJOR_VERSION}.${TP_QT4_MINOR_VERSION}.${TP_QT4_MICRO_VERSION})
else (${TP_QT4_NANO_VERSION} EQUAL 0)
    set(TP_QT4_LIBRARY_VERSION ${TP_QT4_ABI_VERSION}.${TP_QT4_MAJOR_VERSION}.${TP_QT4_MINOR_VERSION}.${TP_QT4_MICRO_VERSION}.${TP_QT4_NANO_VERSION})
endif (${TP_QT4_NANO_VERSION} EQUAL 0)

set(PACKAGE_NAME telepathy-qt4)

if (${TP_QT4_NANO_VERSION} EQUAL 0)
    set(PACKAGE_VERSION ${TP_QT4_MAJOR_VERSION}.${TP_QT4_MINOR_VERSION}.${TP_QT4_MICRO_VERSION})
else (${TP_QT4_NANO_VERSION} EQUAL 0)
    set(PACKAGE_VERSION ${TP_QT4_MAJOR_VERSION}.${TP_QT4_MINOR_VERSION}.${TP_QT4_MICRO_VERSION}.${TP_QT4_NANO_VERSION})
endif (${TP_QT4_NANO_VERSION} EQUAL 0)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is
# checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Default build type is RelWithDebInfo for release versions and Debug for developement
# versions
if(NOT CMAKE_BUILD_TYPE)
    if(TP_QT4_NANO_VERSION EQUAL 0)
        set(CMAKE_BUILD_TYPE RelWithDebInfo)
    else(TP_QT4_NANO_VERSION EQUAL 0)
        set(CMAKE_BUILD_TYPE Debug)
    endif(TP_QT4_NANO_VERSION EQUAL 0)
endif(NOT CMAKE_BUILD_TYPE)

# This file contains all the needed initialization macros
include(TelepathyDefaults)

# This file contains all the tpqt4 macros used in the buildsystem
include(TpQt4Macros)

include(Doxygen)
include(MacroLogFeature)

# external dependencies

# Required dependencies
# Find qt4 version >= 4.5
set (QT_MIN_VERSION "4.5.0")
find_package(Qt4 REQUIRED)

include_directories(${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${QT_INCLUDES})

add_definitions(-DQT_NO_CAST_FROM_ASCII)

set(ENABLE_DEBUG_OUTPUT ON CACHE BOOL "If activated, compiles support for printing debug output to stderr")
if (ENABLE_DEBUG_OUTPUT)
    add_definitions(-DENABLE_DEBUG)
endif (ENABLE_DEBUG_OUTPUT)

# Check for Qt4 Glib support
include(CheckCXXSourceCompiles)
set(CMAKE_REQUIRED_INCLUDES ${QT_INCLUDES})
set(CMAKE_REQUIRED_DEFINITIONS "")
set(CMAKE_REQUIRED_FLAGS "")

CHECK_CXX_SOURCE_COMPILES("
#include <QtCore/QtGlobal>
int main()
{
#if defined(QT_NO_GLIB)
#error \"Qt was compiled with Glib disabled\"
#endif
return 0;
}"
QT4_GLIB_SUPPORT)
macro_log_feature(QT4_GLIB_SUPPORT "Qt4 Glib Support"
                  "QtCore library using Glib's main event loop"
                  "http://qt.nokia.com/" FALSE ""
                  "Needed, together with Telepathy-Glib, to build most of the unit tests")

# Check for operator== in QDBusVariant
SET(CMAKE_REQUIRED_LIBRARIES ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
CHECK_CXX_SOURCE_COMPILES("
#include <QtDBus>
int main()
{
QDBusVariant a; QDBusVariant b; if (a == b) { ; }
return 0;
}"
HAVE_QDBUSVARIANT_OPERATOR_EQUAL)

# Check for QDBusServiceWatcher being present
# This check can be safely removed if we start depending on Qt 4.6
CHECK_CXX_SOURCE_COMPILES("
#include <QtDBus>
int main()
{
QDBusServiceWatcher watcher;
return 0;
}
"
HAVE_QDBUSSERVICEWATCHER)
set(CMAKE_REQUIRED_LIBRARIES)

# Find python version >= 2.5
find_package(PythonLibrary REQUIRED)
set(REQUIRED_PY 2.5)
if(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
    message(STATUS "Python ${PYTHON_SHORT_VERSION} found")
else(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})
    message(SEND_ERROR "Python >= ${REQUIRED_PY} is required")
endif(${PYTHON_SHORT_VERSION} VERSION_GREATER ${REQUIRED_PY} OR ${PYTHON_SHORT_VERSION} VERSION_EQUAL ${REQUIRED_PY})

# Check for dbus-python
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import dbus.mainloop.glib"
                RESULT_VARIABLE PYTHON_DBUS_RESULT)
if(PYTHON_DBUS_RESULT EQUAL 0)
    set(HAVE_TEST_PYTHON 1)
else(PYTHON_DBUS_RESULT EQUAL 0)
    set(HAVE_TEST_PYTHON 0)
endif(PYTHON_DBUS_RESULT EQUAL 0)
macro_log_feature(HAVE_TEST_PYTHON "dbus-python"
                  "GLib-based Python DBus support"
                  "http://www.python.org/" FALSE ""
                  "Needed to build some additional unit tests")

# Find GLib2, GObject, DBus and LibXml2
# Those are needed for the insane include dir dependency hell
find_package(GLIB2)
find_package(GObject)
find_package(DBus)
find_package(DBusGLib)
find_package(LibXml2)

# Find tp-farsight
set(TELEPATHY_FARSIGHT_MIN_VERSION "0.0.4")
find_package(TelepathyFarsight)
macro_log_feature(TELEPATHYFARSIGHT_FOUND "Telepathy-Farsight"
                  "A Framework for dealing with audio/video conferencing protocols"
                  "http://farsight.freedesktop.org/wiki/" FALSE "0.0.4"
                  "Needed, together with GStreamer, to build telepathy-qt4-farsight and some additional examples")

# Find GStreamer
find_package(GStreamer)
macro_log_feature(GSTREAMER_FOUND "GStreamer"
                  "An open source multimedia framework"
                  "Needed, together with Tp-Farsight, to build telepathy-qt4-farsight and some additional examples"
                  "http://www.gstreamer.net/" FALSE)

# Build TelepathyQt4-Farsight only if GStreamer, TelepathyFarsight and all of their dependencies were found
if (TELEPATHYFARSIGHT_FOUND AND GSTREAMER_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND DBUS_FOUND AND LIBXML2_FOUND)
    set (FARSIGHT_COMPONENTS_FOUND 1)
else (TELEPATHYFARSIGHT_FOUND AND GSTREAMER_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND DBUS_FOUND AND LIBXML2_FOUND)
    set (FARSIGHT_COMPONENTS_FOUND 0)
endif (TELEPATHYFARSIGHT_FOUND AND GSTREAMER_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND DBUS_FOUND AND LIBXML2_FOUND)

# Find telepathy-glib
set(TELEPATHY_GLIB_MIN_VERSION 0.13.0)
find_package(TelepathyGlib)
macro_log_feature(TELEPATHYGLIB_FOUND "Telepathy-glib"
                  "Glib bindings for Telepathy"
                  "http://telepathy.freedesktop.org/" FALSE "0.13.0"
                  "Needed, together with Qt Glib integration, to build most of the unit tests")

find_program(GLIB_GENMARSHAL glib-genmarshal)

# Enable glib-based tests only if Qt4 has GLib support and Telepathy-glib was found
if(QT4_GLIB_SUPPORT AND TELEPATHYGLIB_FOUND AND GLIB2_FOUND AND DBUS_FOUND)
    set(ENABLE_TP_GLIB_TESTS 1)
else(QT4_GLIB_SUPPORT AND TELEPATHYGLIB_FOUND AND GLIB2_FOUND AND DBUS_FOUND)
    set(ENABLE_TP_GLIB_TESTS 0)
endif(QT4_GLIB_SUPPORT AND TELEPATHYGLIB_FOUND AND GLIB2_FOUND AND DBUS_FOUND)

# Add the source subdirectories
add_subdirectory(TelepathyQt4)
add_subdirectory(examples)
add_subdirectory(tests)
add_subdirectory(tools)

# Generate config.h and config-version.h
configure_file(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_SOURCE_DIR}/config-version.h.in ${CMAKE_BINARY_DIR}/config-version.h)

# Create the uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# Display the feature log
macro_display_feature_log()

# Always keep it last: CPack definitions file
include(TelepathyDist)

=== TelepathyQt4/CMakeLists.txt ===
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/_gen")

# Set the required flags found in TelepathyDefaults
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${VISIBILITY_HIDDEN_FLAGS} ${COMPILER_COVERAGE_FLAGS} ${DEPRECATED_DECLARATIONS_FLAGS}")
set(LD_FLAGS "${LD_FLAGS} ${VISIBILITY_HIDDEN_FLAGS} ${COMPILER_COVERAGE_FLAGS} ${DEPRECATED_DECLARATIONS_FLAGS}")

# We are building Telepathy-Qt4
add_definitions(-DBUILDING_TELEPATHY_QT4)

# Sources for Tp-Qt4
set(telepathy_qt4_SRCS
    abstract-client.cpp
    abstract-interface.cpp
    account.cpp
    account-factory.cpp
    account-manager.cpp
    account-property-filter.cpp
    account-set.cpp
    account-set-internal.h
    capabilities-base.cpp
    channel.cpp
    channel-class-spec.cpp
    channel-dispatcher.cpp
    channel-dispatch-operation.cpp
    channel-factory.cpp
    channel-internal.h
    channel-request.cpp
    client.cpp
    client-registrar.cpp
    client-registrar-internal.h
    connection.cpp
    connection-capabilities.cpp
    connection-factory.cpp
    connection-internal.h
    connection-manager.cpp
    connection-manager-internal.h
    contact.cpp
    contact-capabilities.cpp
    contact-factory.cpp
    contact-manager.cpp
    contact-manager-roster.cpp
    contact-search-channel.cpp
    dbus.cpp
    dbus-proxy.cpp
    dbus-proxy-factory.cpp
    dbus-proxy-factory-internal.h
    debug.cpp
    debug-internal.h
    feature.cpp
    file-transfer-channel.cpp
    file-transfer-channel-creation-properties.cpp
    fixed-feature-factory.cpp
    future.cpp
    future-internal.h
    incoming-file-transfer-channel.cpp
    key-file.cpp
    location-info.cpp
    manager-file.cpp
    media-session-handler.cpp
    media-stream-handler.cpp
    message.cpp
    object.cpp
    optional-interface-factory.cpp
    outgoing-file-transfer-channel.cpp
    pending-account.cpp
    pending-channel.cpp
    pending-channel-request.cpp
    pending-channel-request-internal.h
    pending-connection.cpp
    pending-contact-attributes.cpp
    pending-contact-info.cpp
    pending-contacts.cpp
    pending-handles.cpp
    pending-operation.cpp
    pending-ready.cpp
    pending-string-list.cpp
    pending-variant.cpp
    presence.cpp
    pending-variant-map.cpp
    profile.cpp
    profile-manager.cpp
    properties.cpp
    protocol-info.cpp
    protocol-parameter.cpp
    readiness-helper.cpp
    requestable-channel-class-spec.cpp
    ready-object.cpp
    referenced-handles.cpp
    room-list-channel.cpp
    streamed-media-channel.cpp
    test-backdoors.cpp
    test-backdoors.h
    text-channel.cpp
    types.cpp
    types-internal.h
    utils.cpp)

# Exported headers for Tp-Qt4
set(telepathy_qt4_HEADERS
    AbstractClient
    AbstractClientApprover
    abstract-client.h
    AbstractClientHandler
    AbstractClientObserver
    AbstractInterface
    abstract-interface.h
    Account
    account.h
    AccountCapabilityFilter
    account-capability-filter.h
    AccountFactory
    account-factory.h
    AccountFilter
    account-filter.h
    AccountInterface
    AccountInterfaceAddressingInterface
    AccountInterfaceAvatarInterface
    AccountManager
    account-manager.h
    AccountManagerInterface
    account-property-filter.h
    AccountPropertyFilter
    AccountSet
    account-set.h
    AndFilter
    and-filter.h
    AvatarData
    avatar-data.h
    CapabilitiesBase
    capabilities-base.h
    Channel
    ChannelClassSpec
    ChannelClassSpecList
    ChannelDispatcher
    channel-dispatcher.h
    ChannelDispatcherInterface
    ChannelDispatchOperation
    channel-dispatch-operation.h
    ChannelDispatchOperationInterface
    ChannelFactory
    channel-class-spec.h
    channel-factory.h
    channel.h
    ChannelInterface
    ChannelInterfaceAnonymityInterface
    ChannelInterfaceCallStateInterface
    ChannelInterfaceChatStateInterface
    ChannelInterfaceConferenceInterface
    ChannelInterfaceDTMFInterface
    ChannelInterfaceGroupInterface
    ChannelInterfaceHoldInterface
    ChannelInterfaceMediaSignallingInterface
    ChannelInterfaceMessagesInterface
    ChannelInterfacePasswordInterface
    ChannelInterfaceSASLAuthenticationInterface
    ChannelInterfaceSecurableInterface
    ChannelInterfaceServicePointInterface
    ChannelInterfaceTubeInterface
    ChannelRequest
    channel-request.h
    ChannelRequestInterface
    ChannelTypeContactListInterface
    ChannelTypeContactSearchInterface
    ChannelTypeFileTransferInterface
    ChannelTypeRoomListInterface
    ChannelTypeServerAuthenticationInterface
    ChannelTypeServerTLSConnectionInterface
    ChannelTypeStreamedMediaInterface
    ChannelTypeStreamTubeInterface
    ChannelTypeTextInterface
    ChannelTypeTubeInterface
    ChannelTypeTubesInterface
    Client
    ClientApproverInterface
    client.h
    ClientHandlerInterface
    ClientInterface
    ClientInterfaceRequestsInterface
    ClientObserverInterface
    ClientRegistrar
    client-registrar.h
    Connection
    ConnectionCapabilities
    connection-capabilities.h
    connection.h
    ConnectionFactory
    connection-factory.h
    connection-lowlevel.h
    ConnectionInterface
    ConnectionInterfaceAliasingInterface
    ConnectionInterfaceAnonymityInterface
    ConnectionInterfaceAvatarsInterface
    ConnectionInterfaceBalanceInterface
    ConnectionInterfaceCapabilitiesInterface
    ConnectionInterfaceCellularInterface
    ConnectionInterfaceClientTypes
    ConnectionInterfaceContactCapabilitiesInterface
    ConnectionInterfaceContactGroups
    ConnectionInterfaceContactInfoInterface
    ConnectionInterfaceContactList
    ConnectionInterfaceContactsInterface
    ConnectionInterfaceLocationInterface
    ConnectionInterfaceMailNotificationInterface
    ConnectionInterfacePowerSaving
    ConnectionInterfacePresenceInterface
    ConnectionInterfaceRequestsInterface
    ConnectionInterfaceServicePointInterface
    ConnectionInterfaceSimplePresenceInterface
    ConnectionLowlevel
    ConnectionManager
    connection-manager.h
    connection-manager-lowlevel.h
    ConnectionManagerInterface
    ConnectionManagerLowlevel
    Constants
    constants.h
    Contact
    contact.h
    ContactCapabilities
    contact-capabilities.h
    ContactFactory
    contact-factory.h
    ContactManager
    contact-manager.h
    ContactSearchChannel
    contact-search-channel.h
    DBus
    DBusDaemonInterface
    dbus.h
    DBusProxy
    dbus-proxy.h
    DBusProxyFactory
    dbus-proxy-factory.h
    Debug
    debug.h
    Feature
    feature.h
    FileTransferChannel
    FileTransferChannelCreationProperties
    file-transfer-channel-creation-properties.h
    file-transfer-channel.h
    Filter
    filter.h
    FixedFeatureFactory
    fixed-feature-factory.h
    GenericCapabilityFilter
    generic-capability-filter.h
    GenericPropertyFilter
    generic-property-filter.h
    Global
    global.h
    IncomingFileTransferChannel
    incoming-file-transfer-channel.h
    IntrospectableInterface
    KeyFile
    key-file.h
    LocationInfo
    location-info.h
    ManagerFile
    manager-file.h
    MediaSessionHandler
    media-session-handler.h
    MediaSessionHandlerInterface
    MediaStreamHandler
    media-stream-handler.h
    MediaStreamHandlerInterface
    Message
    message.h
    MethodInvocationContext
    method-invocation-context.h
    NotFilter
    not-filter.h
    Object
    object.h
    OptionalInterfaceFactory
    optional-interface-factory.h
    OrFilter
    or-filter.h
    OutgoingFileTransferChannel
    outgoing-file-transfer-channel.h
    PeerInterface
    PendingAccount
    pending-account.h
    PendingChannel
    pending-channel.h
    PendingChannelRequest
    pending-channel-request.h
    PendingComposite
    PendingConnection
    pending-connection.h
    PendingContactAttributes
    pending-contact-attributes.h
    PendingContactInfo
    pending-contact-info.h
    PendingContacts
    pending-contacts.h
    PendingFailure
    PendingHandles
    pending-handles.h
    PendingOperation
    pending-operation.h
    PendingReady
    pending-ready.h
    PendingStringList
    pending-string-list.h
    PendingSuccess
    PendingVariant
    pending-variant.h
    PendingVariantMap
    pending-variant-map.h
    PendingVoid
    Presence
    presence.h
    Profile
    profile.h
    ProfileManager
    profile-manager.h
    Properties
    properties.h
    PropertiesInterface
    PropertiesInterfaceInterface
    ProtocolInfo
    protocol-info.h
    ProtocolParameter
    protocol-parameter.h
    ReadinessHelper
    readiness-helper.h
    ReadyObject
    ready-object.h
    ReceivedMessage
    RefCounted
    ReferencedHandles
    referenced-handles.h
    ReferencedHandlesIterator
    requestable-channel-class-spec.h
    RequestableChannelClassSpec
    RoomListChannel
    room-list-channel.h
    SharedPtr
    shared-ptr.h
    simple-pending-operations.h
    StatefulDBusProxy
    StatelessDBusProxy
    StreamedMediaChannel
    streamed-media-channel.h
    TextChannel
    text-channel.h
    Types
    types.h
    Utils
    utils.h)

# Generated headers which will be installed and exported
set(telepathy_qt4_gen_HEADERS
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-account.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-account-manager.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-channel.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-channel-dispatcher.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-channel-dispatch-operation.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-channel-request.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-client.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-connection.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-connection-manager.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-dbus.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-media-session-handler.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-media-stream-handler.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-properties.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/constants.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-channel.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-constants.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-misc.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-types.h
    ${CMAKE_CURRENT_BINARY_DIR}/_gen/types.h)

# Headers file moc will be run on
set(telepathy_qt4_MOC_SRCS
    abstract-interface.h
    account.h
    account-manager.h
    account-set.h
    account-set-internal.h
    channel.h
    channel-dispatch-operation.h
    channel-internal.h
    channel-request.h
    client-registrar.h
    client-registrar-internal.h
    connection.h
    connection-internal.h
    connection-lowlevel.h
    connection-manager.h
    connection-manager-internal.h
    connection-manager-lowlevel.h
    contact.h
    contact-manager.h
    contact-manager-internal.h
    contact-search-channel.h
    contact-search-channel-internal.h
    dbus-proxy.h
    dbus-proxy-factory.h
    dbus-proxy-factory-internal.h
    file-transfer-channel.h
    incoming-file-transfer-channel.h
    object.h
    outgoing-file-transfer-channel.h
    pending-account.h
    pending-channel.h
    pending-channel-request.h
    pending-channel-request-internal.h
    pending-connection.h
    pending-contact-attributes.h
    pending-contact-info.h
    pending-contacts.h
    pending-handles.h
    pending-operation.h
    pending-ready.h
    pending-string-list.h
    pending-variant.h
    pending-variant-map.h
    profile-manager.h
    readiness-helper.h
    room-list-channel.h
    simple-pending-operations.h
    streamed-media-channel.h
    text-channel.h)

# Generate the spec files for both stable and future spec
set(gen_stable_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/stable-spec.xml)
set(gen_future_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-spec.xml)

tpqt4_xincludator(stable-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/stable-interfaces.xml ${gen_stable_spec_xml})
tpqt4_xincludator(future-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/future-interfaces.xml ${gen_future_spec_xml})

=== tests/dbus/CMakeLists.txt ===
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/_gen")

tpqt4_setup_dbus_test_environment()

if(HAVE_TEST_PYTHON)
    tpqt4_add_dbus_unit_test(DBusProperties dbus-properties "")
endif(HAVE_TEST_PYTHON)

if(ENABLE_TP_GLIB_TESTS)
    include_directories(${TELEPATHY_GLIB_INCLUDE_DIR}
                        ${GLIB2_INCLUDE_DIR}
                        ${DBUS_INCLUDE_DIR})

    add_definitions(-DQT_NO_KEYWORDS)

    if(HAVE_TEST_PYTHON)
        tpqt4_add_dbus_unit_test(AccountBasics account-basics tp-glib-tests)
        tpqt4_add_dbus_unit_test(AccountChannelDispatcher account-channel-dispatcher tp-glib-tests)
        tpqt4_add_dbus_unit_test(Client client tp-glib-tests)
        tpqt4_add_dbus_unit_test(ClientFactories client-factories tp-glib-tests)
    endif(HAVE_TEST_PYTHON)

    tpqt4_add_dbus_unit_test(AccountConnectionFactory account-connection-factory tp-glib-tests)
    tpqt4_add_dbus_unit_test(ChannelBasics chan-basics tp-glib-tests)
    tpqt4_add_dbus_unit_test(ChannelConference chan-conference tp-glib-tests)
    tpqt4_add_dbus_unit_test(ChannelContactSearch chan-contact-search tp-glib-tests)
    tpqt4_add_dbus_unit_test(ChannelGroup chan-group tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionManagerBasics cm-basics tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionBasics conn-basics tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionCapabilities conn-capabilities tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionRequests conn-requests tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionRosterLegacy conn-roster-legacy tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionRoster conn-roster example-cm-contactlist2
        ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${DBUS_GLIB_LIBRARIES} ${TELEPATHY_GLIB_LIBRARIES})
    tpqt4_add_dbus_unit_test(ConnectionRosterGroupsLegacy conn-roster-groups-legacy tp-glib-tests)
    tpqt4_add_dbus_unit_test(ConnectionRosterGroups conn-roster-groups example-cm-contactlist2
        ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${DBUS_GLIB_LIBRARIES} ${TELEPATHY_GLIB_LIBRARIES})
    tpqt4_add_dbus_unit_test(ContactFactory contact-factory tp-glib-tests)
    tpqt4_add_dbus_unit_test(Contacts contacts tp-glib-tests)
    tpqt4_add_dbus_unit_test(ContactsAvatar contacts-avatar tp-glib-tests)
    tpqt4_add_dbus_unit_test(ContactsCapabilities contacts-capabilities tp-glib-tests)
    tpqt4_add_dbus_unit_test(ContactsInfo contacts-info tp-glib-tests)
    tpqt4_add_dbus_unit_test(ContactsLocation contacts-location tp-glib-tests)
    tpqt4_add_dbus_unit_test(DBusProxyFactory dbus-proxy-factory tp-glib-tests)
    tpqt4_add_dbus_unit_test(Handles handles tp-glib-tests)
    tpqt4_add_dbus_unit_test(StatefulProxy stateful-proxy tp-glib-tests)
    tpqt4_add_dbus_unit_test(StreamedMediaChannel streamed-media-chan tp-glib-tests)
    tpqt4_add_dbus_unit_test(TextChannel text-chan tp-glib-tests)
endif(ENABLE_TP_GLIB_TESTS)

tpqt4_add_dbus_unit_test(ProfileManager profile-manager)

# Make check target. In case of check, output on failure and put it into a log
# This target has to stay here for catching all of the tests
add_custom_target(check ctest --output-on-failure -O test.log
                  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/tests)
add_dependencies(check check-local ${_telepathy_qt4_test_cases})

## telepathy-qt4 0.5.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 #   set nano_version to 1
 set(TP_QT4_MAJOR_VERSION 0)
 set(TP_QT4_MINOR_VERSION 5)
-set(TP_QT4_MICRO_VERSION 6)
+set(TP_QT4_MICRO_VERSION 12)
 set(TP_QT4_NANO_VERSION  0)
 
 # This value contains the library's SOVERSION. This value is to be increased everytime an API/ABI break
@@ -201,7 +201,7 @@
 endif (TELEPATHYFARSIGHT_FOUND AND GSTREAMER_FOUND AND GLIB2_FOUND AND GOBJECT_FOUND AND DBUS_FOUND AND LIBXML2_FOUND)
 
 # Find telepathy-glib
-set(TELEPATHY_GLIB_MIN_VERSION 0.13.0)
+set(TELEPATHY_GLIB_MIN_VERSION 0.13.10)
 find_package(TelepathyGlib)
 macro_log_feature(TELEPATHYGLIB_FOUND "Telepathy-glib"
                   "Glib bindings for Telepathy"

=== TelepathyQt4/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
     account-property-filter.cpp
     account-set.cpp
     account-set-internal.h
+    avatar.cpp
     capabilities-base.cpp
     channel.cpp
     channel-class-spec.cpp
@@ -39,6 +40,7 @@
     contact-factory.cpp
     contact-manager.cpp
     contact-manager-roster.cpp
+    contact-messenger.cpp
     contact-search-channel.cpp
     dbus.cpp
     dbus-proxy.cpp
@@ -52,16 +54,20 @@
     fixed-feature-factory.cpp
     future.cpp
     future-internal.h
+    handled-channel-notifier.cpp
     incoming-file-transfer-channel.cpp
+    incoming-stream-tube-channel.cpp
     key-file.cpp
     location-info.cpp
     manager-file.cpp
     media-session-handler.cpp
     media-stream-handler.cpp
     message.cpp
+    message-content-part.cpp
     object.cpp
     optional-interface-factory.cpp
     outgoing-file-transfer-channel.cpp
+    outgoing-stream-tube-channel.cpp
     pending-account.cpp
     pending-channel.cpp
     pending-channel-request.cpp
@@ -73,7 +79,9 @@
     pending-handles.cpp
     pending-operation.cpp
     pending-ready.cpp
+    pending-send-message.cpp
     pending-string-list.cpp
+    pending-stream-tube-connection.cpp
     pending-variant.cpp
     presence.cpp
     pending-variant-map.cpp
@@ -86,11 +94,17 @@
     requestable-channel-class-spec.cpp
     ready-object.cpp
     referenced-handles.cpp
+    request-temporary-handler-internal.cpp
+    request-temporary-handler-internal.h
     room-list-channel.cpp
+    simple-text-observer.cpp
+    simple-text-observer-internal.h
+    stream-tube-channel.cpp
     streamed-media-channel.cpp
     test-backdoors.cpp
     test-backdoors.h
     text-channel.cpp
+    tube-channel.cpp
     types.cpp
     types-internal.h
     utils.cpp)
@@ -125,7 +139,8 @@
     AndFilter
     and-filter.h
     AvatarData
-    avatar-data.h
+    AvatarSpec
+    avatar.h
     CapabilitiesBase
     capabilities-base.h
     Channel
@@ -157,6 +172,7 @@
     ChannelInterfaceServicePointInterface
     ChannelInterfaceTubeInterface
     ChannelRequest
+    ChannelRequestHints
     channel-request.h
     ChannelRequestInterface
     ChannelTypeContactListInterface
@@ -222,6 +238,8 @@
     contact-factory.h
     ContactManager
     contact-manager.h
+    ContactMessenger
+    contact-messenger.h
     ContactSearchChannel
     contact-search-channel.h
     DBus
@@ -249,8 +267,12 @@
     generic-property-filter.h
     Global
     global.h
+    HandledChannelNotifier
+    handled-channel-notifier.h
     IncomingFileTransferChannel
     incoming-file-transfer-channel.h
+    IncomingStreamTubeChannel
+    incoming-stream-tube-channel.h
     IntrospectableInterface
     KeyFile
     key-file.h
@@ -266,6 +288,9 @@
     MediaStreamHandlerInterface
     Message
     message.h
+    MessageContentPart
+    MessageContentPartList
+    message-content-part.h
     MethodInvocationContext
     method-invocation-context.h
     NotFilter
@@ -278,6 +303,8 @@
     or-filter.h
     OutgoingFileTransferChannel
     outgoing-file-transfer-channel.h
+    OutgoingStreamTubeChannel
+    outgoing-stream-tube-channel.h
     PeerInterface
     PendingAccount
     pending-account.h
@@ -301,6 +328,10 @@
     pending-operation.h
     PendingReady
     pending-ready.h
+    PendingSendMessage
+    pending-send-message.h
+    PendingStreamTubeConnection
+    pending-stream-tube-connection.h
     PendingStringList
     pending-string-list.h
     PendingSuccess
@@ -311,6 +342,7 @@
     PendingVoid
     Presence
     presence.h
+    PresenceSpec
     Profile
     profile.h
     ProfileManager
@@ -339,12 +371,18 @@
     SharedPtr
     shared-ptr.h
     simple-pending-operations.h
+    SimpleTextObserver
+    simple-text-observer.h
     StatefulDBusProxy
     StatelessDBusProxy
+    StreamTubeChannel
+    stream-tube-channel.h
     StreamedMediaChannel
     streamed-media-channel.h
     TextChannel
     text-channel.h
+    TubeChannel
+    tube-channel.h
     Types
     types.h
     Utils
@@ -366,10 +404,6 @@
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-media-stream-handler.h
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-properties.h
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/constants.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-channel.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-constants.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-misc.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-types.h
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/types.h)
 
 # Headers file moc will be run on
@@ -394,40 +428,18 @@
     contact.h
     contact-manager.h
     contact-manager-internal.h
+    contact-messenger.h
     contact-search-channel.h
     contact-search-channel-internal.h
     dbus-proxy.h
     dbus-proxy-factory.h
     dbus-proxy-factory-internal.h
     file-transfer-channel.h
+    handled-channel-notifier.h
     incoming-file-transfer-channel.h
+    incoming-stream-tube-channel.h
     object.h
     outgoing-file-transfer-channel.h
+    outgoing-stream-tube-channel.h
+    outgoing-stream-tube-channel-internal.h
     pending-account.h
-    pending-channel.h
-    pending-channel-request.h
-    pending-channel-request-internal.h
-    pending-connection.h
-    pending-contact-attributes.h
-    pending-contact-info.h
-    pending-contacts.h
-    pending-handles.h
-    pending-operation.h
-    pending-ready.h
-    pending-string-list.h
-    pending-variant.h
-    pending-variant-map.h
-    profile-manager.h
-    readiness-helper.h
-    room-list-channel.h
-    simple-pending-operations.h
-    streamed-media-channel.h
-    text-channel.h)
-
-# Generate the spec files for both stable and future spec
-set(gen_stable_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/stable-spec.xml)
-set(gen_future_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-spec.xml)
-
-tpqt4_xincludator(stable-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/stable-interfaces.xml ${gen_stable_spec_xml})
-tpqt4_xincludator(future-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/future-interfaces.xml ${gen_future_spec_xml})
-

=== examples/CMakeLists.txt ===
# Set the required flags found in TelepathyDefaults
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${DEPRECATED_DECLARATIONS_FLAGS}")
set(LD_FLAGS "${LD_FLAGS} ${DEPRECATED_DECLARATIONS_FLAGS}")

add_subdirectory(accounts)
add_subdirectory(extensions)
add_subdirectory(file-transfer)
add_subdirectory(protocols)
add_subdirectory(roster)

=== examples/file-transfer/CMakeLists.txt ===
set(receiver_SRCS
    receiver.cpp
    receiver-channel.cpp)

set(receiver_MOC_SRCS
    receiver.h
    receiver-channel.h)

tpqt4_generate_mocs(${receiver_MOC_SRCS})

add_executable(receiver ${receiver_SRCS} ${receiver_MOC_SRCS})
target_link_libraries(receiver
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    telepathy-qt4)

set(sender_SRCS
    sender.cpp)

set(sender_MOC_SRCS
    sender.h)

tpqt4_generate_mocs(${sender_MOC_SRCS})

add_executable(sender ${sender_SRCS} ${sender_MOC_SRCS})
target_link_libraries(sender
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    telepathy-qt4)

=== tests/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
     tpqt4_add_dbus_unit_test(ConnectionRosterGroups conn-roster-groups example-cm-contactlist2
         ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${DBUS_GLIB_LIBRARIES} ${TELEPATHY_GLIB_LIBRARIES})
     tpqt4_add_dbus_unit_test(ContactFactory contact-factory tp-glib-tests)
+    tpqt4_add_dbus_unit_test(ContactMessenger contact-messenger tp-glib-tests)
     tpqt4_add_dbus_unit_test(Contacts contacts tp-glib-tests)
     tpqt4_add_dbus_unit_test(ContactsAvatar contacts-avatar tp-glib-tests)
     tpqt4_add_dbus_unit_test(ContactsCapabilities contacts-capabilities tp-glib-tests)

=== tests/lib/glib/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TELEPATHY_GLIB_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    ${GOBJECT_INCLUDE_DIR}
    ${DBUS_INCLUDE_DIR})

if(ENABLE_TP_GLIB_TESTS)
    add_subdirectory(callable)
    add_subdirectory(contactlist)
    add_subdirectory(contactlist2)
    add_subdirectory(csh)
    add_subdirectory(echo)
    add_subdirectory(echo2)
    add_subdirectory(future)

    set(tp_glib_tests_SRCS
        contacts-conn.c
        contacts-conn.h
        contact-search-chan.c
        contact-search-chan.h
        debug.h
        params-cm.c
        params-cm.h
        simple-account.c
        simple-account.h
        simple-account-manager.c
        simple-account-manager.h
        simple-channel-dispatch-operation.c
        simple-channel-dispatch-operation.h
        simple-client.c
        simple-client.h
        simple-conn.c
        simple-conn.h
        simple-manager.c
        simple-manager.h
        textchan-group.c
        textchan-group.h
        textchan-null.c
        textchan-null.h
        util.c
        util.h)
    add_library(tp-glib-tests SHARED ${tp_glib_tests_SRCS})
    target_link_libraries(tp-glib-tests
        ${TELEPATHY_GLIB_LIBRARIES}
        ${GOBJECT_LIBRARIES}
        ${GLIB2_LIBRARIES}
        ${DBUS_GLIB_LIBRARIES}
        example-cm-callable
        example-cm-contactlist
        example-cm-csh
        example-cm-echo
        example-cm-echo2
        tp-glib-tests-future-extensions
        future-example-cm-conference)

endif(ENABLE_TP_GLIB_TESTS)
